Bug 1160810 - rabbitmq-server package should install sample config files
Summary: rabbitmq-server package should install sample config files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitmq-server
Version: 22
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: John Eckersberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1211394
TreeView+ depends on / blocked
 
Reported: 2014-11-05 16:53 UTC by John Eckersberg
Modified: 2015-11-04 22:23 UTC (History)
14 users (show)

Fixed In Version: rabbitmq-server-3.5.6-3.fc23 rabbitmq-server-3.5.6-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of: 1134956
: 1211394 (view as bug list)
Environment:
Last Closed: 2015-11-01 02:32:01 UTC
Type: Bug


Attachments (Terms of Use)

Description John Eckersberg 2014-11-05 16:53:42 UTC
+++ This bug was initially created as a clone of Bug #1134956 +++

The rabbitmq-server package does not install any configuration into /etc/rabbitmq/rabbitmq.config or /etc/rabbitmq/rabbitmq-env.conf.  Having the package install sample versions of these files would provide people with a model of what they should look like and may ease the process for people moving from qpid to rabbitmq (by providing and obvious location in which, e.g., to place credentials if they would like to use a non-default username/password).


--- Additional comment from Attila Fazekas on 2014-10-13 06:17:37 EDT ---

The 3.1.5 tarball (and the hg tag) does not contains an example config file, but the >=3.2.0 does.

Using the the sample from the >=3.2.0 would be also helpful.

--- Additional comment from Dan Yocum on 2014-10-13 08:23:39 EDT ---

The example config file has unsupported/unpackaged features which I removed in the second attachment I included.  Use the 2nd attachment as the first one had a typo (a trailing comma after a config stanza which made erlang puke).

Comment 1 Jaroslav Reznik 2015-03-03 17:04:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Update System 2015-10-20 15:28:14 UTC
rabbitmq-server-3.5.6-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7d0ea47215

Comment 3 Fedora Update System 2015-10-20 21:57:02 UTC
rabbitmq-server-3.5.6-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rabbitmq-server'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7d0ea47215

Comment 4 Fedora Update System 2015-10-26 18:31:08 UTC
rabbitmq-server-3.5.6-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update rabbitmq-server'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e752013676

Comment 5 Fedora Update System 2015-11-01 02:31:53 UTC
rabbitmq-server-3.5.6-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-11-04 22:23:32 UTC
rabbitmq-server-3.5.6-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.